> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2024-01-31/api/payment-intents/get-payment-intents-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Get payment intent by ID GET https://api.sandbox.monite.com/v1/payment_intents/{payment_intent_id} Reference: https://docs.monite.com/api/payment-intents/get-payment-intents-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Path parameters - `payment_intent_id` (string, required) ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ## Response ### 200 Successful Response - `id` (string, required) - `updated_at` (datetime, required) - `amount` (integer, required) - `currency` (string, required) - `payment_methods` (list of enum, required) - Allowed values: `sepa_credit`, `us_ach`, `blik`, `card`, `bacs_direct_debit`, `bancontact`, `eps`, `giropay`, `ideal`, `p24`, `sepa_debit`, `sofort`, `applepay`, `googlepay`, `affirm`, `klarna` - `recipient` (RecipientAccountResponse, required) - `status` (string, required) - `application_fee_amount` (integer, optional) - `batch_payment_id` (string, optional) - `invoice` (Invoice, optional) - `object` (PaymentObject, optional) - `payer` (PayerAccountResponse, optional) - `payment_link_id` (string, optional) - `payment_reference` (string, optional) - `provider` (string, optional) - `selected_payment_method` (enum, optional) - Allowed values: `sepa_credit`, `us_ach`, `blik`, `card`, `bacs_direct_debit`, `bancontact`, `eps`, `giropay`, `ideal`, `p24`, `sepa_debit`, `sofort`, `applepay`, `googlepay`, `affirm`, `klarna` ## Errors ### 422 Get Payment Intents ID Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Get Payment Intents ID Request Internal Server Error Internal Server Error - `error` (ErrorSchema, required) ## Types ### RecipientAccountResponse - `id` (string, required) — ID of a payment account - `type` (enum, required) — Type of a payment account. Can be `entity` or `counterpart` - Allowed values: `entity`, `counterpart` - `bank_accounts` (list of BankAccount, optional) — List of bank accounts - `name` (string, optional) — Display name of a payment account ### Invoice - `due_date` (string, optional) - `file` (InvoiceFile, optional) - `issue_date` (string, optional) ### PaymentObject - `id` (string, required) - `type` (enum, required) - Allowed values: `payable`, `receivable` ### PayerAccountResponse - `id` (string, required) — ID of a payment account - `type` (enum, required) — Type of a payment account. Can be `entity` or `counterpart` - Allowed values: `entity`, `counterpart` - `bank_accounts` (list of BankAccount, optional) — List of bank accounts - `name` (string, optional) — Display name of a payment account ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ErrorSchema - `message` (string, required) ### BankAccount - `id` (string, required) — The ID of the bank account. - `account_holder_name` (string, optional) — The name of the person or business that owns this bank account. - `account_number` (string, optional) — The bank account number. Typically used for UK and US bank accounts. US account numbers contain 9 to 12 digits. UK account numbers typically contain 8 digits. - `bic` (string, optional) — The BIC/SWIFT code of the bank. - `country` (enum, optional) — The country in which the bank account is registered, repsesented as a two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `currency` (enum, optional) — The currency of the bank account, represented as a three-letter ISO [currency code](https://docs.monite.com/references/currencies). - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `display_name` (string, optional) — User-defined name of this bank account, such as 'Primary account' or 'Savings account'. Used only for entity bank accounts. - `iban` (string, optional) — The IBAN of the bank account. - `is_default` (boolean, optional, default: false) — Indicates whether this bank account is the default one for its currency. - `name` (string, optional) — User-defined name of this bank account, such as 'Primary account' or 'Savings account'. Used only for counterpart bank accounts. - `routing_number` (string, optional) — The bank's routing transit number (RTN). Typically used for US banks. US routing numbers consist of 9 digits. - `sort_code` (string, optional) — The bank's sort code. Typically used for UK banks. - `was_created_by_user_id` (string, optional) — ID of the entity user who added this bank account, or `null` if it was added using a partner access token. Used only for entity bank accounts. ### InvoiceFile - `mimetype` (string, required) - `name` (string, required) - `url` (string, required) ### ValidationErrorLocItem ## Examples **Response** ```json { "id": "id", "updated_at": "2024-01-15T09:30:00Z", "amount": 1, "currency": "currency", "payment_methods": [ "sepa_credit" ], "recipient": { "id": "id", "type": "entity", "bank_accounts": [ { "id": "id", "account_holder_name": "Bob Jones", "account_number": "12345678", "bic": "DEUTDEFFXXX", "country": "AF", "currency": "AED", "display_name": "Primary account", "iban": "DE74500700100100000900", "is_default": true, "name": "Primary account", "routing_number": "routing_number", "sort_code": "123456", "was_created_by_user_id": "was_created_by_user_id" } ], "name": "name" }, "status": "status", "application_fee_amount": 1, "batch_payment_id": "batch_payment_id", "invoice": { "due_date": "due_date", "file": { "mimetype": "mimetype", "name": "name", "url": "url" }, "issue_date": "issue_date" }, "object": { "id": "id", "type": "payable" }, "payer": { "id": "id", "type": "entity", "bank_accounts": [ { "id": "id", "account_holder_name": "Bob Jones", "account_number": "12345678", "bic": "DEUTDEFFXXX", "country": "AF", "currency": "AED", "display_name": "Primary account", "iban": "DE74500700100100000900", "is_default": true, "name": "Primary account", "routing_number": "routing_number", "sort_code": "123456", "was_created_by_user_id": "was_created_by_user_id" } ], "name": "name" }, "payment_link_id": "payment_link_id", "payment_reference": "payment_reference", "provider": "provider", "selected_payment_method": "sepa_credit" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id" headers = { "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id'; const options = { method: 'GET', headers: { 'x-monite-version': '2024-01-31', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-monite-version", "2024-01-31") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-monite-version"] = '2024-01-31' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id") .header("x-monite-version", "2024-01-31") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id', [ 'headers' => [ 'Authorization' => 'Bearer ', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-01-31', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id"); var request = new RestRequest(Method.GET); request.AddHeader("x-monite-version", "2024-01-31"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```